                  TOOBIG = .FALSE.
                  IF ((NCHISQ-TCHISQ)/NCHISQ.GT.DELCHISQ 
     1                                 .AND. .NOT.TOOBIG) THEN
D                      WRITE(OUTC,'(A,I3,A,G11.4,A,G11.4,A,G11.4)')
D    1                    ' CHISQ TOO SMALL; PARM1D(',I,')=',PARM1D(I),
D    2                    '  DP1D=',DP1D(I),'  TCHISQ=',TCHISQ
                      LOWVALUE = PARM1D(I)
                      DP1D(I) = 2.*DP1D(I)
                      PARM1D(I) = PARM1D(I) + J*DP1D(I)/2.
                      GO TO 10
C                 Chi squared got too big
                  ELSE IF ((NCHISQ-TCHISQ)/NCHISQ.LT.-DELCHISQ
     1                                 .AND. .NOT.TOOBIG) THEN
D                      WRITE(OUTC,'(A,I3,A,G11.4,A,G11.4,A,G11.4)')
D    1                    ' CHISQ TOO BIG; PARM1D(',I,')=',PARM1D(I),
D    2                    '  DP1D=',DP1D(I),'  TCHISQ=',TCHISQ
                      HIGHVALUE = PARM1D(I)
                      PARM1D(I) = (LOWVALUE+HIGHVALUE)/2.
                      TOOBIG = .TRUE.
                      GO TO 10
C                 Chi squared too small
                  ELSE IF ((NCHISQ-TCHISQ)/NCHISQ.GT.DELCHISQ
     1                                 .AND. TOOBIG) THEN
                      LOWVALUE = PARM1D(I)
                      PARM1D(I) = (LOWVALUE+HIGHVALUE)/2.
C                 Chi squared got too big
                  ELSE IF ((NCHISQ-TCHISQ)/NCHISQ.LT.-DELCHISQ
     1                                 .AND. TOOBIG) THEN
                      HIGHVALUE = PARM1D(I)
                      PARM1D(I) = (LOWVALUE+HIGHVALUE)/2.
C                 Chi squared is juuuuuuuust right
                  ELSE
                      PUNCERT3D(I,J) = PARM1D(I) - PARMST1D(I)
                      DP1D(I) = PARM1D(I) - PARMST1D(I)
                      WRITE(OUTC,'(A,I3,A,G11.4)')
     1                  ' DONE WITH THIS VARIABLE; PARM1D(',I,')= ',
     2                  PARM1D(I)
                  END IF
